@import "../../base";
@import "../../theme";

$border_hover_color: rgba(0, 0, 0, .12);

.mat-datatable {
  .mat-datatable-content {
    display: flex;
    flex-flow: column;
    align-content: center;

    .mat-datatable-header-row {
      font-size: 14px;
      color: rgba(0, 0, 0, .48);
      font-weight: bold;

      .mat-datatable-head-sorted-cell-icon {
        cursor: pointer;
        font-size: 14px;
      }
    }

    .mat-datatable-row {
      display: grid;
      border-bottom-style: solid;
      border-bottom-width: 1px;
      border-bottom-color: $border_hover_color;
      min-height: 48px;

      .mat-datatable-cell {
        display: flex;
        align-items: center;
        justify-content: flex-start;
      }

      .mat-datatable-cell-text {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
      }
    }

    .mat-datatable-data-row {
      @extend %mat-body2
    }

    .mat-datatable-row-last {
      border-bottom-style: none;
    }

    .mat-datatable-row-selectable {
    }

    .mat-datatable-row-selectable:hover {
      background-color: $border_hover_color;
    }

    .mat-datatable-leading-column {
      @extend %full-centered-content;
      width: 60px;
    }

    .mat-datatable-trailing-column {
      @extend %full-centered-content;
      width: 60px;
    }

    .mat-datatable-pagination {
      display: flex;
      align-items: center;
      justify-content: flex-end;

      border-top-style: solid;
      border-top-width: 1px;
      border-top-color: $border_hover_color;

      min-height: 48px;

      @extend %mat-caption;

      .mat-datatable-pagination-item-per-page {

      }

      .mat-datatable-pagination-page-label {
        @extend %full-centered-content;
        @include mat-width(20)
      }

      .mat-datatable-pagination-previous-icon {
        @extend %full-centered-content;
        @include mat-width(3)
      }

      .mat-datatable-pagination-next-icon {
        @extend %full-centered-content;
        @include mat-width(3);
        @include mat-left-margin(4);
        @include mat-right-margin(4);
      }
    }
  }
}
